description: 'Export a specific content type and their fields.'
arguments:
    content-type: 'Content Type to be exported'
questions:
    content-type: 'Content Type to be exported'
    optional-config: 'Export content type in module as an optional configuration'
messages:
    content-type-exported: 'Exporting content type'
options:
    optional-config: 'Export content type as an optional YAML configuration in your module'
    remove-uuid: 'If set, the configuration will be exported without uuid key.'
    remove-config-hash: 'If set, the configuration will be exported without the default site hash key.'
examples:
    - description: 'Provide a content type  and module name'
      execution: |
        drupal config:export:content:type page \
          --module="demo"
    - description: 'If you want export content type provide the optional config'
      execution: |
        drupal config:export:content:type page \
          --module="demo" \
          --optional-config 

